Package org.apache.batchee.container.navigator

## Class AbstractNavigator<T>

- java.lang.Object
- - org.apache.batchee.container.navigator.AbstractNavigator<T>

- All Implemented Interfaces:
    `ModelNavigator<T>`
  Direct Known Subclasses:
    `FlowNavigator`, `JobNavigator`

      public abstract class AbstractNavigator<T>
      extends Object
      implements ModelNavigator<T>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractNavigator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExecutionElement` | `getFirstExecutionElement​(List<ExecutionElement> peerExecutionElements, String restartOn)` |
    `Transition` | `getNextTransition​(ExecutionElement currentElem, List<ExecutionElement> peerExecutionElements, ExecutionStatus currentStatus)` | Precedence is: look at elements, then look at attribute, then return quietly

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.batchee.container.navigator.ModelNavigator

      `getFirstExecutionElement, getNextTransition, getRootModelElement`

- - ### Constructor Detail

    - #### AbstractNavigator

          public AbstractNavigator()

  - ### Method Detail

    - #### getFirstExecutionElement

          public ExecutionElement getFirstExecutionElement​(List<ExecutionElement> peerExecutionElements,
                                                           String restartOn)
                                                    throws IllegalTransitionException

      Throws:
        `IllegalTransitionException`

    - #### getNextTransition

          public Transition getNextTransition​(ExecutionElement currentElem,
                                              List<ExecutionElement> peerExecutionElements,
                                              ExecutionStatus currentStatus)
                                       throws IllegalTransitionException

      Precedence is: look at elements, then look at attribute, then return quietly
      Parameters:
        `currentElem` -
        `peerExecutionElements` -
        `currentStatus` -
      Returns:
      Throws:
        `IllegalTransitionException`